<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Datauser_model extends CI_Model
{

    public $table = 'tbl_user';
	public $view = 'view_user';
    public $id = 'id_user';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // get all
    function get_all($condition="",$like=0)
    {
		if($condition!=""){
			if($like==1)
				foreach($condition as $field=>$val){
					$this->db->like($field,$val,'after');
				}
			else	
				$this->db->where($condition);
		}
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->view)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->view)->row();
    }
    
    // get total rows
    function total_rows($q = NULL,$condition="") {
	if($condition!=""){
		foreach($condition as $field=>$val){
			$this->db->like($field,$val,'after');
		}
	}else{
		$this->db->like('id_user', $q);
		$this->db->or_like('nama_user', $q);
		$this->db->or_like('username', $q);
	}	
     /*    $this->db->like('id_user', $q);
	$this->db->or_like('nama_user', $q);
	$this->db->or_like('username', $q);
	$this->db->or_like('password', $q);
	$this->db->or_like('level', $q); */
	$this->db->from($this->view);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL,$condition="") {
		
	if($condition!=""){
		foreach($condition as $field=>$val){
			$this->db->like($field,$val,'after');
		}
		
	}else{
		$this->db->where('id_user', $q);
	}	
	
	
	
        /* $this->db->order_by($this->id, $this->order);
        $this->db->like('id_user', $q);
	$this->db->or_like('nama_user', $q);
	$this->db->or_like('username', $q);
	$this->db->or_like('password', $q);
	$this->db->or_like('level', $q); */
	$this->db->limit($limit, $start);
	
        return $this->db->get($this->view)->result();
    }

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        $this->db->delete($this->table);
    }

    function getCombo($like=0)
    {
        $condition = array("id_user"=>$this->custom_library->Filter_by_level($this->session->userdata("id_user"),$this->session->userdata("level")));
        if($condition!=""){
            if($like==1)
                foreach($condition as $field=>$val){
                    $this->db->like($field,$val,'after');
                }
            else    
                $this->db->where($condition);
        }
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->view)->result_array();
    }

}

/* End of file Datauser_model.php */
/* Location: ./application/models/Datauser_model.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2016-08-17 13:52:41 */
/* http://harviacode.com */